---
title: Metadata.modificationTime
slug: Web/API/Metadata/modificationTime
tags:
  - API
  - File System API
  - File and Directory Entries API
  - Files
  - Non-standard
  - Offline
  - Property
  - Reference
  - metadata
  - modificationTime
---
<p>{{APIRef("File System API")}}{{Non-standard_header}}</p>

<p><span class="seoSummary">The read-only <strong><code>modificationTime</code></strong> property of the {{domxref("Metadata")}} interface is a {{jsxref("Date")}} object which specifies the date and time the file system entry (or the data referenced by the entry) was last modified.</span>A file system entry is considered to have been modified if the metadata or the contents of the referenced file (or directory, or whatever other kind of file system entry might exist on the platform in use) has changed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>modificationTime</em> = <em>Metadata</em>.modificationTime;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Date")}} timestamp indicating when the file system entry was last changed.</p>

<h2 id="Example">Example</h2>

<p>This example tries to get a particular working file at <code>tmp/workfile.json</code>. Once that file has been found, its metadata is obtained and the file's modification timestamp year is compared to the current year. If it was last modified in a year at least five prior to the current year, the file is removed and a new one is created.</p>

<pre class="brush: js">workingDirectory.getFile("tmp/workfile.json", { create: true }, function(fileEntry) {
  fileEntry.getMetadata(function(metadata) {
    if ((new Date().getFullYear() - metadata.modificationTime.getFullYear()) &gt;= 5) {
      fileEntry.remove(function() {
        workingDirectory.getFile("tmp/workfile.json", { create: true }, function(newEntry) {
          fileEntry = newEntry;
        });
      });
    }
  });
}, handleError); </pre>

<p>This API has no official W3C or WHATWG specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Metadata.modificationTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("Metadata")}}</li>
 <li>{{domxref("FileSystemEntry.getMetadata()")}}</li>
 <li>{{domxref("FileSystemFileEntry")}}</li>
</ul>
